# Quiz Linux et réseau

1. Quelle commande Linux permet d'afficher les partitions disque ?
   - [X] `fdisk`
   - [ ] `disk`
   - [ ] `rdisk`
   - [ ] `part`
1. Quelle commande permet de connaître le n° de l'utilisateur connecté ?
   - [ ] `who am i`
   - [ ] `uname`
   - [ ] `echo usr`
   - [X] `id`
1. Les descripteurs "erreur, entrée, sortie" correspondent respectivement à
   - [ ] 0, 2, 1
   - [X] 2, 0, 1
   - [ ] 0, 1, 2
   - [ ] 1, 0, 2
1. Que fait `cat > fich2` ?
   - [ ] renvoie une erreur
   - [ ] compare cat et fich2
   - [X] redirige ce qui est saisi au clavier dans fich2
   - [ ] liste fich2 à l'écran
1. Si un fichier a les permissions `-rwxrw-r--` , un compte en dehors des groupes qui lui sont affectés a les droits
   - [ ] de lecture, écriture et exécution
   - [X] de lecture
   - [ ] aucun droits
   - [ ] de lecture et écriture
1. Quelle commande donne accès à la documentation ?
   - [ ] `print`
   - [X] `man`
   - [ ] `cat`
   - [ ] `dir`
1. Le droit de lecture `r` permet pour un fichier de
   - [ ] le consulter, copier ou exécuter
   - [X] le consulter ou le copier
   - [ ] le consulter uniquement
   - [ ] le consulter, copier ou modifier
1. Comment se déconnecter du système en mode ligne de commandes ?
   - [ ] `end`
   - [ ] `bye`
   - [X] `exit`
   - [ ] `quit`
1. Comment envoyer un fichier en mode ftp ?
   - [X] `put`
   - [ ] `get`
   - [ ] `move`
   - [ ] `cp`
1. Que fait `echo "abcdef" >> fich2` ?
   - [ ] affiche true ou false
   - [X] ajoute "abcdef" à la fin de fich2
   - [ ] crée ou écrase fich2 avec "abcdef"
   - [ ] renvoie une erreur
1. Quelle variable contient le prompt ?
   - [ ]  `$PRT`
   - [ ]  `$PATH`
   - [X]  `$PS1`
   - [ ]  `$PROMPT`
1. Le fichier hosts se trouve dans
   - [ ] `/var`
   - [ ] `/usr`
   - [X] `/etc`
   - [ ] `/dev`
1. Avec quelle commande peut-on lister les processus ?
   - [ ] `ls`
   - [ ] `pid`
   - [ ] `proc`
   - [X] `ps`
1. Comment créer un répertoire nommé rep2 ?
   - [ ] `mdir rep2`
   - [X] `mkdir rep2`
   - [ ] `makedir rep2`
   - [ ] `rmdir rep2`
1. En quel langage ont été écrit les noyaux UNIX et LINUX ?
   - [ ] C#
   - [X] C
   - [ ] Assembleur
   - [ ] PERL
1. Comment lister les utilisateurs connectés ?
   - [ ] `ps -u`
   - [X] `who`
   - [ ] `ls -users`
   - [ ] `users`
1. Que fait `touch fich2` ?
   - [X] modifie la date système de fich2 avec la date actuelle
   - [ ] réinitialise les groupes de fich2 pour l'administrateur
   - [ ] réinitialise les droits de fich3
   - [ ] vérifie le droit de lecture de fich2 (par défaut)
1. Les noms de fichiers
   - [ ] ne peuvent contenir d'espaces
   - [ ] sont limités à 64 caractères
   - [ ] ont systématiquement une extension
   - [X] sont sensibles à la casse (Maj / Min)
1. Comment comparer deux fichiers ?
   - [ ] `diff`
   - [ ] `cat`
   - [X] `cmp`
   - [ ] `cp`
1. Dans quelle branche est traditionnellement placé le fichier .profile de chaque utilisateur ?
   - [ ] `/dev`
   - [X] `/home`
   - [ ] `/etc`
   - [ ] `/usr`
1. A quoi sert la partition swap ?
   - [X] à gérer la mémoire virtuelle
   - [ ] à créer des dumps de la mémoire
   - [ ] à pallier la saturation d'un disque
   - [ ] à stocker les logs système
1. Que donne `who | wc -l` ?
   - [ ] la liste des utilisateurs classés par date de connexion
   - [ ] la liste des utilisateurs classés par UID
   - [X] le nombre d'utilisateurs connectés
   - [ ] la liste des utilisateurs classés par ordre alphabétique
1. Que donne la commande `ls -R` ?
   - [ ] affiche les numéros d'inode
   - [ ] un tri par dates
   - [X] une liste récursive de tous les sous-dossiers
   - [ ] un tri par ordre croissant
1. Qu'est-ce que le BIND ?
   - [ ] un serveur de fichiers
   - [X] un serveur dns
   - [ ] un serveur dhcp
   - [ ] un serveur d'impression
1. Quelle commande permet d'interroger un serveur dns ?
   - [ ] `querry`
   - [ ] `ping`
   - [X] `nslookup`
   - [ ] `dns`
1. Comment effacer l'écran ?
   - [ ] `erase`
   - [ ] `wipe`
   - [X] `clear`
   - [ ] `cls`
1. La commande `strings` s'utilise pour
   - [ ] formater une chaine de caractères
   - [X] chercher du texte dans un fichier binaire
   - [ ] indiquer le type d'une variable
   - [ ] convertir un nombre en texte
1. La commande `mv rep1 rep2`
   - [ ] déplace rep1 dans rep2
   - [ ] déplace rep1 et rep2 dans le dossier courant
   - [X] renomme rep1 en rep2
   - [ ] copie rep1 vers rep2
1. Quelle est l'utilité de Samba ?
   - [X] partager fichiers et imprimantes avec Windows
   - [ ] c'est une messagerie
   - [ ] créer des bases de données
   - [ ] gérer les DNS
1. Que fait `cal 8 256` ?
   - [ ] calcul le modulo de 256 / 8
   - [ ] affiche 256 en octal
   - [X] affiche le mois d'Août de l'an 256
   - [ ] définit un pipe de buffer 256 octets
1. Comment mettre un commentaire en shell ?
   - [ ] `*`
   - [ ] `!-`
   - [X] `#`
   - [ ] `//`
1. Comment rediriger l'entrée standard ?
   - [ ] `->`
   - [X] `<`
   - [ ] `>`
   - [ ] `>>`
1. Quelle moyen de connexion à distance est chiffré et le mieux sécurisé ?
   - [ ] `telnet`
   - [X] `ssh`
   - [ ] `rsh`
   - [ ] `rlogin`
1. Comment lister les groupes de l'utilisateur courant ?
   - [ ] `locate`
   - [ ] `get -group`
   - [X] `groups`
   - [ ] `ls -group`
1. Comment afficher les variables d'environnement dans le Korn Shell ?
   - [ ] `$env`
   - [ ] `echo $path`
   - [X] `env`
   - [ ] `echo $env`
1. UID identifie
   - [ ] un groupe d'utilisateurs
   - [X] l'utilisateur
   - [ ] la version de Linux
   - [ ] la version du Shell
1. Quelle est l'extension usuelle des fichiers gzip ?
   - [ ] .gzip
   - [ ] .z
   - [X] .gz
   - [ ] .zip
1. Quelle commande permet de créer un lien entre deux fichiers ?
   - [ ] `lk`
   - [ ] `join`
   - [X] `ln`
   - [ ] `link`
1. Quelle commande permet de lancer xwindows ?
   - [X] `startx`
   - [ ] `xstart`
   - [ ] `xwin`
   - [ ] `xwindows`
1. Quel fichier décrit les comptes utilisateurs ?
   - [ ] `/bin/users`
   - [ ] `/usr/users`
   - [X] `/etc/passwd`
   - [ ] `/root/users`
1. A quoi correspond le caractère `|` dans le système d'exploitation Unix ?
   - [ ] un opérateur de factorielle
   - [ ] un opérateur de concaténation
   - [X] un pipeline
   - [ ] un OU logique
1. Ou est placé le profile commun à tous les utilisateurs ?
   - [ ] `/home`
   - [X] `/etc`
   - [ ] `/dev`
   - [ ] `/usr`
1. Comment peut-on afficher les dernières commandes saisies ?
   - [ ] `recent`
   - [X] `history`
   - [ ] `last`
   - [ ] `previous`
1. Quel langage inspiré du C et du Shell est un très bon complément de ce dernier ?
   - [X] PERL
   - [ ] BASIC
   - [ ] LISP
   - [ ] FORTRAN
1. Quelle commande décrémente et décale tous les paramètres en shell ?
   - [ ] `roll`
   - [ ] `swap`
   - [ ] `turn`
   - [X] `shift`
1. Comment copier fich1 vers fich2 ?
   - [X] `cp fich1 fich2`
   - [ ] `copy fich1 fich2`
   - [ ] `duplicate fich1 fich2`
   - [ ] `cp fich1 > fich2`
1. Quel est la commande correspondant au "runas" de windows ?
   - [ ] `call`
   - [X] `sudo`
   - [ ] `exec`
   - [ ] `bash`
1. Dans quel fichier sont stockées les informations sur les groupes ?
   - [ ] `/usr/group`
   - [ ] `/bin/group`
   - [ ] `/root/group`
   - [X] `/etc/group`
1. Si un fichier a les permissions `-rw-r--r--` , son propriétaire a les droits
   - [ ] de lecture et d'exécution
   - [ ] de lecture uniquement
   - [ ] d'exécution uniquement
   - [X] de lecture et d'écriture
1. Sous vi, comment quitter sans sauver un fichier qui a été modifié ? 
   - [X] `:q!`
   - [ ] `:q`
   - [ ] `:wq`
   - [ ] `:w`
1. A quoi sert la commande "script" ?
   - [X] mémorise la session dans un fichier
   - [ ] lancer un script
   - [ ] éditer un script
   - [ ] saisir un script à la volée
1. Comment lister tous les fichiers incluant ceux qui commencent par un point ?
   - [ ] `ls -d`
   - [X] `ls -a`
   - [ ] `ls`
   - [ ] `ls -l`
1. Quelle commande permet de distinguer un alias d'une commande shell ou d'un exécutable ordinaire ?
   - [ ] `class`
   - [ ] `scope`
   - [X] `type`
   - [ ] `which`
1. Quelle variable indique l'emplacement et le nom du fichier d'historique des commandes ?
   - [ ] `$COMMANDS`
   - [X] `$HISTFILE`
   - [ ] `$HISTORY`
   - [ ] `$HIST`
1. Dans "/dev/sdba", "sd" nous informe que
   - [ ] la partition est primaire
   - [X] le disque est SCSI
   - [ ] le disque est IDE
   - [ ] la partition est étendue
1. Comment lister les fichiers par tailles décroissantes ?
   - [ ] `ls -F`
   - [X] `ls -S`
   - [ ] `ls -D`
   - [ ] `ls -C`
1. Que renvoie `which command2` ou `whence command2` ?
   - [ ] `le noyau associé à command2`
   - [ ] `les processus en cours d'exécution de command2`
   - [X] `le chemin complet de command2`
   - [ ] `la version précise de command2`
1. Que signifie `2>&1` après une ligne de commande ?
   - [ ] éliminer les messages de la sortie d'erreur standard
   - [ ] concaténer les messages de la sortie erreur standard
   - [X] rediriger l'erreur standard vers la sortie standard
   - [ ] rediriger l'erreur standard vers l'entrée standard
1. Quelle est l'utilité de la commande `file` ?
   - [ ] modifier le format d'un fichier
   - [X] détermine le type de contenu d'un fichier
   - [ ] écrire des données dans un fichier
   - [ ] redirige le flux d'erreurs vers un fichier
1. Quel caractère permet de lancer un programme en arrière-plan ?
   - [ ] `>`
   - [X] `&`
   - [ ] `|`
   - [ ] `$`
1. Comment supprimer un répertoire rep2 non vide ?
   - [ ] `rm rep2`
   - [X] `rm -r rep2`
   - [ ] `rmdir -r rep2`
   - [ ] `rmdir rep2`
1. A quel nom et numéro d'interruption correspond `Ctrl \` ?
   - [ ] HUP 1
   - [X] INT 2
   - [ ] TERM 15
   - [ ] QUIT 3
1. Que retourne une commande en cas de succès ?
   - [ ] 1
   - [ ] -1
   - [ ] 2
   - [X] 0
1. Pour exécuter un script non compilé il faut
   - [ ] uniquement le droit d'exécution
   - [ ] uniquement le droit de lecture
   - [ ] les droits lecture, écriture et exécution
   - [X] les droits de lecture et exécution
1. A quoi sert la commande `head` ?
   - [ ] à lire un fichier en fifo
   - [ ] a donner priorité à un processus
   - [ ] à sélectionner les octets de poids fort
   - [X] à afficher les premières lignes d'un fichier
1. Comment obtenir le nombre de mots d'un fichier texte ?
   - [ ] `cat -w fich1`
   - [ ] `cat -c fich1`
   - [X] `wc -w fich1`
   - [ ] `ls -w fich1`
1. Quelle option de grep renvoie les lignes qui ne correspondent pas à l'expression ?
   - [ ] `-u`
   - [ ] `-r`
   - [X] `-v`
   - [ ] `-i`
1. Comment lister tous les sous répertoires du dossier courant sans les fichiers ?
   - [X] `ls -d */`
   - [ ] `ls -d`
   - [ ] `ls -1d`
   - [ ] `ls -ld`
1. Comment effacer une variable var2 de la mémoire ?
   - [X] `unset var2`
   - [ ] `clear var2`
   - [ ] `shift var2`
   - [ ] `wipe var2`
1. Quelle est la meilleure façon d'éliminer la sortie d'une commande comme `ls` par exemple ?
   - [ ] `ls -out`
   - [ ] `ls -q`
   - [X] `ls > /dev/null`
   - [ ] `ls > null`
1. Que valent respectivement r w x en octal ?
   - [X] 4 2 1
   - [ ] 1 2 4
   - [ ] 0 1 2
   - [ ] 2 1 0
1. Avec la ligne de commande "ls -y 2> fich2" , qu'est ce qui est redirigé vers fich2 ?
   - [X] le message d'erreur
   - [ ] la liste des fichiers "fich" dont l'indice est > à 2
   - [ ] une liste des fichiers triée dans l'ordre inversé
   - [ ] une liste de fichiers système protégés
1. Si un dossier accessible en écriture contient un fichier protégé en écriture, que peut-on faire sur ce fichier ?
   - [ ] le lire uniquement
   - [ ] le lire, le modifier ou le détruire
   - [ ] le lire ou le modifier
   - [X] le lire ou le détruire
1. La commande `nohup` permet
   - [ ] d'empêcher la génération de sous-processus
   - [X] de continuer l'exécution de processus après une déconnexion
   - [ ] d'empêcher un kill sur un processus
   - [ ] d'empêcher un Ctrl C sur un processus
1. Comment détruire l'alias "MonAlias" ?
   - [ ] `unset MonAlias`
   - [ ] `rm MonAlias`
   - [X] `unalias MonAlias`
   - [ ] `alias -d MonAlias`
1. La commande `tee fich2`
   - [ ] affiche la sortie à l'écran uniquement
   - [ ] provoque une erreur
   - [X] écrit dans fich2 et affiche la sortie à l'écran
   - [ ] écrit dans fich2 uniquement
1. Comment changer les groupes auxquels un fichier appartient ?
   - [X] `chgrp`
   - [ ] `chown`
   - [ ] `chmod`
   - [ ] `chgroup`
1. Comment lister tous les alias ?
   - [ ] `alias`
   - [ ] `alias -l`
   - [X] `alias -p`
   - [ ] `echo $ALIAS`
1. `chmod u+w fichier1` attribue sur le fichier 
   - [ ] le droit de lecture à tous les utilisateurs
   - [ ] le droit d'exécution à tous les utilisateurs
   - [X] le droit d'écriture au propriétaire
   - [ ] le droit d'exécution au propriétaire
1. Quelle structure de données stocke les blocs d'adresse d'un fichier ?
   - [ ] uname
   - [X] l'inode
   - [ ] le kernel
   - [ ] .profile
1. Quelle variable contient le code de retour de la dernière commande ?
   - [ ] `%ERRORLEVEL%`
   - [ ] `%ERR%`
   - [X] `$?`
   - [ ] `$1`
1. Dans `chmod o+r fichier1`, `o` désigne
   - [ ] les invités
   - [X] les autres
   - [ ] les propriétaires
   - [ ] les groupes
1. Quelle commande permet de numéroter des lignes ?
   - [ ] `nline`
   - [X] `nl`
   - [ ] `number`
   - [ ] `line`
1. A quel numéro correspond le port SMTP / Simple Mail Transfer Protocol ?
   - [ ] 80
   - [X] 25
   - [ ] 49
   - [ ] 465
1. A quel numéro correspond le port Telnet ?
   - [X] 23
   - [ ] 80
   - [ ] 20
   - [ ] 389
1. A quel numéro correspond le port ISAKMP / Internet Security Association and Key Management Protocol ?
   - [ ] 993
   - [X] 500
   - [ ] 49
   - [ ] 3389
1. A quel numéro correspond le port RADIUS / Remote Authentication Dial-In User Service ?
   - [ ] 67
   - [ ] 143
   - [X] 1812
   - [ ] 119
1. A quel numéro correspond le port IMAPS / IMAP over SSL / IMAP over Secure Socket Layer ?
   - [ ] 49
   - [ ] 69
   - [X] 993
   - [ ] 465
1. A quel numéro correspond le port HTTP / Hypertext Transfer Protocol ?
   - [ ] 445
   - [ ] 69
   - [X] 80
   - [ ] 389
1. A quel numéro correspond le port FTP data / File Transfer Protocol data (données) ?
   - [ ] 161
   - [ ] 194
   - [X] 20
   - [ ] 69
1. A quel numéro correspond le port BOOTP / Bootstrap Protocol ?
   - [ ] 69
   - [ ] 194
   - [X] 67
   - [ ] 161
1. A quel numéro correspond le port HTTPS / HyperText Transfer Protocol Secure ?
   - [X] 443
   - [ ] 110
   - [ ] 995
   - [ ] 42
1. A quel numéro correspond le port SSH / Secure Shell ?
   - [ ] 161
   - [X] 22
   - [ ] 1701
   - [ ] 69
1. A quel numéro correspond le port LDAP / Lightweight Directory Access Protocol ?
   - [ ] 53
   - [ ] 88
   - [X] 389
   - [ ] 995
1. A quel numéro correspond le port Kerberos (du grec Cerbère, chien à trois têtes qui gardait les enfers) ?
   - [ ] 995
   - [X] 88
   - [ ] 69
   - [ ] 53
1. A quel numéro correspond le port POPS / POP over SSL / POP over Secure Socket Layer ?
   - [ ] 161
   - [ ] 1723
   - [X] 995
   - [ ] 465
1. A quel numéro correspond le port DNS / Domaine Name Service ?
   - [ ] 161
   - [X] 53
   - [ ] 465
   - [ ] 110
1. A quel numéro correspond le port SNMP / Simple Network Management Protocol ?
   - [ ] 465
   - [ ] 67
   - [X] 161
   - [ ] 194
1. A quel numéro correspond le port SMTPS /  SMTP over SSL / Simple Mail Transfer Protocol over Secure Socket Layer ?
   - [ ] 42
   - [ ] 119
   - [X] 465
   - [ ] 110
1. Donner les adresses réseaux privés
   - 10.0.0.0/8 soit de 10.0.0.0 à 10.0.0.255
   - 172.16.0.0/12 soit de 172.16.0.0 à 172.31.255.255
   - 192.168.0.0/16 soit de 192.168.0.0 à 192.168.255.255

Questions issues du site https://qcmquiz.com
